## org.eclipse.uml2.uml
Enum ParameterEffectKind

    java.lang.Object
      java.lang.Enum<ParameterEffectKind>
          org.eclipse.uml2.uml.ParameterEffectKind

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ParameterEffectKind>, org.eclipse.emf.common.util.Enumerator

    public enum ParameterEffectKind

extends java.lang.Enum<ParameterEffectKind>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Parameter Effect Kind', and utility methods for working with them. The datatype ParameterEffectKind is an enumeration that indicates the effect of a behavior on values passed in or out of its parameters.

See Also:
  `UMLPackage.getParameterEffectKind()`

Enum Constant Summary
`CREATE_LITERAL` The 'Create' literal object
`DELETE_LITERAL` The 'Delete' literal object
`READ_LITERAL` The 'Read' literal object
`UPDATE_LITERAL` The 'Update' literal object

Field Summary
`static int` `CREATE` The 'Create' literal value
`static int` `DELETE` The 'Delete' literal value
`static int` `READ` The 'Read' literal value
`static int` `UPDATE` The 'Update' literal value
`static java.util.List<ParameterEffectKind>` `VALUES` A public read-only list of all the 'Parameter Effect Kind' enumerators

Method Summary
`static ParameterEffectKind` `get(int value)` Returns the 'Parameter Effect Kind' literal with the specified integer value
`static ParameterEffectKind` `get(java.lang.String literal)` Returns the 'Parameter Effect Kind' literal with the specified literal value
`static ParameterEffectKind` `getByName(java.lang.String name)` Returns the 'Parameter Effect Kind' literal with the specified name
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation
`static ParameterEffectKind` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ParameterEffectKind[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CREATE_LITERAL

    public static final ParameterEffectKind CREATE_LITERAL

  The 'Create' literal object.

  See Also:
    `CREATE`

### READ_LITERAL

    public static final ParameterEffectKind READ_LITERAL

  The 'Read' literal object.

  See Also:
    `READ`

### UPDATE_LITERAL

    public static final ParameterEffectKind UPDATE_LITERAL

  The 'Update' literal object.

  See Also:
    `UPDATE`

### DELETE_LITERAL

    public static final ParameterEffectKind DELETE_LITERAL

  The 'Delete' literal object.

  See Also:
    `DELETE`

Field Detail

### CREATE

    public static final int CREATE

  The 'Create' literal value. Indicates that the behavior creates values.

  See Also:
    `CREATE_LITERAL`, Constant Field Values

### READ

    public static final int READ

  The 'Read' literal value. Indicates that the behavior reads values.

  See Also:
    `READ_LITERAL`, Constant Field Values

### UPDATE

    public static final int UPDATE

  The 'Update' literal value. Indicates that the behavior updates values.

  See Also:
    `UPDATE_LITERAL`, Constant Field Values

### DELETE

    public static final int DELETE

  The 'Delete' literal value. Indicates that the behavior deletes values.

  See Also:
    `DELETE_LITERAL`, Constant Field Values

### VALUES

    public static final java.util.List<ParameterEffectKind> VALUES

  A public read-only list of all the 'Parameter Effect Kind' enumerators.

Method Detail

### values

    public static final ParameterEffectKind[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ParameterEffectKind c : ParameterEffectKind.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ParameterEffectKind valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static ParameterEffectKind get(java.lang.String literal)

  Returns the 'Parameter Effect Kind' literal with the specified literal value.

### getByName

    public static ParameterEffectKind getByName(java.lang.String name)

  Returns the 'Parameter Effect Kind' literal with the specified name.

### get

    public static ParameterEffectKind get(int value)

  Returns the 'Parameter Effect Kind' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<ParameterEffectKind>`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.